Subject: bug#43634: 27.1; Wrong indentation in sieve-mode

From: Daniel Martín <[email-masked]>
Date: Sat, 26 Sep 2020 20:29:23 +0200

Copy the following Sieve script to "sample.sieve":

if size :over 100K {
  reject "I'm sorry, I do not accept mail over 100kb in size.";
}

M-x mark-whole-buffer and indent. The closing brace is reindented in a
strange way:

if size :over 100K {
  reject "I'm sorry, I do not accept mail over 100kb in size.";
         }

As sieve-mode inherits from c-mode, putting things in parens works, but
this is not valid according to the grammar (see
https://tools.ietf.org/html/rfc5228#section-3.1):

if (size :over 100K) {
  reject "I'm sorry, I do not accept mail over 100kb in size.";
}